Subject: Re: bug#78719: 30.1; [PATCH] Add functions `string-common-prefix' and `string-try-completion'

From: Phil Sainty <[email-masked]>
Date: Sun, 06 Jul 2025 02:59:24 +1200

On 2025-07-06 02:38, Daniel Mendler wrote:
> A non-nil STRING is a special case, an optimization, which is also
> covered by REGEXP-LIST by using a regexp with an anchor. It should
> not come before IGNORE-CASE.

That was also my initial preference for the argument sequence so that
the filters were all together as a logical group, but Eli felt that it
was more useful to have STRING before IGNORE-CASE, so I wrote the code
with it that way around, and only grouped the filters in the docs.